# To build a static RPM, add
#     --define "static 1"
# to the rpmbuild command line.

%define name nmap
%define version 7.50
%define release 1
%define _prefix /usr
%define pythonver %(rpm -q python | cut -b 1-10 | tr -d -)

Summary: Network exploration tool and security scanner
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
Epoch: 2
License: http://www.insecure.org/nmap/man/man-legal.html
Group: Applications/System
Source0: http://www.insecure.org/nmap/dist/%{name}-%{version}.tgz
Source1: xtra-nmap-mac-prefixes
URL: http://www.insecure.org/nmap/

# RPM can't be relocatable until I stop storing path info in the binary.
# Prefix: %{_prefix}
BuildRoot: %{_tmppath}/%{name}-root
Packager: R.W.H. Vermare <rene@vermare.nl>

%package     -n	ncat
Summary:	Nmap's Netcat replacement
Group:		Applications/System

%description -n	ncat
Ncat is a feature packed networking utility which will read and
write data across a network from the command line.  It uses both
TCP and UDP for communication and is designed to be a reliable
back-end tool to instantly provide network connectivity to other
applications and users. Ncat will not only work with IPv4 and IPv6
but provides the user with a virtually limitless number of potential
uses.

%package     -n	zenmap
Summary:	A Graphical Front-End for Nmap
Group:		Applications/System
Requires:       nmap = %{epoch}:%{version}-%{release}
BuildArch:      noarch

%description -n	zenmap
Zenmap is a graphical front-end for the nmap network scanner


%package     -n nping
Version:	0.%{version}
Summary:        Nping packet generator
Group:          Applications/System

%description -n nping
Nping is an open source tool for network packet generation, response
analysis and response time measurement. Nping allows to generate network
packets of a wide range of protocols, letting users to tune virtually
any field of the protocol headers. While Nping can be used as a simple
ping utility to detect active hosts, it can also be used as a raw packet
generator for network stack stress tests, ARP poisoning, Denial of
Service attacks, route tracing, etc.

%description
Nmap is a utility for network exploration or security auditing. It
supports ping scanning (determine which hosts are up), many port
scanning techniques, version detection (determine service protocols
and application versions listening behind ports), and TCP/IP
fingerprinting (remote host OS or device identification). Nmap also
offers flexible target and port specification, decoy/stealth scanning,
sunRPC scanning, and more. Most Unix and Windows platforms are
supported in both GUI and commandline modes. Several popular handheld
devices are also supported, including the Sharp Zaurus and the iPAQ.

%prep
%setup -q

cat %SOURCE1 >> nmap-mac-prefixes

%build
%configure --with-libdnet=included --with-libpcap=included --with-libpcre=included --with-liblua=included
%if "%{static}" == "1"
make static
%else
make
%endif

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
strip $RPM_BUILD_ROOT%{_bindir}/* || :
gzip $RPM_BUILD_ROOT%{_mandir}/man1/* || :
chmod 0740 $RPM_BUILD_ROOT/usr/bin/nmap
chmod 0740 $RPM_BUILD_ROOT/usr/bin/ncat
chmod 0740 $RPM_BUILD_ROOT/usr/bin/nping
#Not necessary te rename '/usr/bin/nmap' and zenmap is not working then
#mv $RPM_BUILD_ROOT/usr/bin/nmap $RPM_BUILD_ROOT/usr/bin/nmap-bin
#rm -f $RPM_BUILD_ROOT/usr/lib/python2.6/site-packages/ndiff.*
rm -f $RPM_BUILD_ROOT%{_datadir}/zenmap/su-to-zenmap.sh
rm -f $RPM_BUILD_ROOT%{_datadir}/applications/zenmap-root.desktop
mkdir -p $RPM_BUILD_ROOT%{_libdir}/%{pythonver}/site-packages
%ifarch x86_64 ppc64 ia64
mv $RPM_BUILD_ROOT/usr/lib/%{pythonver}/site-packages $RPM_BUILD_ROOT%{_libdir}/%{pythonver}/
%endif

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%doc COPYING
%doc docs/README
%doc docs/nmap.usage.txt
%doc %{_prefix}/share/man/man1/nmap.1.gz
%doc %{_prefix}/share/man/man1/ndiff.1.gz
%doc %{_prefix}/share/man/*/man1/nmap.1.gz

%{_bindir}/nmap
%{_bindir}/ndiff
%{_bindir}/uninstall_ndiff
%{_datadir}/nmap
%{_libdir}/%{pythonver}/site-packages/ndiff.*

%files -n ncat
%defattr(-,root,root)
%{_bindir}/ncat
%{_prefix}/share/ncat/ca-bundle.crt

%doc %{_prefix}/share/man/man1/ncat.1.gz

%files -n nping
%defattr(-,root,root)
%{_bindir}/nping
%doc %{_prefix}/share/man/man1/nping.1.gz

%files -n zenmap
%defattr(-,root,root)
%{_bindir}/nmapfe
%{_bindir}/uninstall_zenmap
%{_bindir}/xnmap
%{_bindir}/zenmap
%{_datadir}/applications/zenmap*
%{_datadir}/zenmap/*
%{_libdir}/%{pythonver}/site-packages/*
%doc %{_prefix}/share/man/man1/zenmap.1.gz

%changelog
* Tue Jun 27 2017 René Vermare (rene(at)vermare.nl)
- Build of version 7.50-1 for rhel6/fc14 with zenmap

* Fri Dec 23 2016 René Vermare (rene(at)vermare.nl)
- Build of version 7.40-1 for rhel6/fc14 with zenmap

* Mon Oct 31 2016 René Vermare (rene(at)vermare.nl)
- Build of version 7.31-1 for rhel6/fc14 with zenmap

* Sat Oct  1 2016 René Vermare (rene(at)vermare.nl)
- Build of version 7.30-1 for rhel6/fc14 with zenmap

* Thu Mar 31 2016 René Vermare (rene(at)vermare.nl)
- Build of version 7.12-1 for rhel6/fc14 with zenmap
- Add extra mac prefixes

* Wed Mar 23 2016 René Vermare (rene(at)vermare.nl)
- Build of version 7.11-1 for rhel6/fc14 with zenmap

* Thu Mar 17 2016 René Vermare (rene(at)vermare.nl)
- Build of version 7.10-1 for rhel6/fc14 with zenmap

* Thu Dec 10 2015 René Vermare (rene(at)vermare.nl)
- Build of version 7.01-1 for rhel6/fc14 with zenmap

* Fri Nov 20 2015 René Vermare (rene(at)vermare.nl)
- Build of version 7.00-1 for rhel6/fc14 with zenmap

* Wed Oct 8 2014 René Vermare (rene(at)vermare.nl)
- Build of version 6.47-2 for rhel6/fc14 with zenmap

* Thu Sep 4 2014 René Vermare (rene(at)vermare.nl)
- Build of version 6.47-1 for rhel6

* Sat Aug 23 2014 René Vermare (rene(at)vermare.nl)
- Build of version 6.47-1

* Mon Apr 21 2014 René Vermare (rene(at)vermare.nl)
- Build of version 6.46-1

* Sun Apr 13 2014 René Vermare (rene(at)vermare.nl)
- Build of version 6.45-1
- Remove python scripts (ndiff.py, .pyc and .pyo)

* Mon Jul 29 2013 René Vermare (rene(at)vermare.nl)
- Build of version 6.40-1

* Fri Jul 12 2013 René Vermare (rene(at)vermare.nl)
- Build of version 6.25-1

* Tue Jun 19 2012 René Vermare (rene(at)vermare.nl)
- Build of version 6.01-1

* Tue May 22 2012 René Vermare (rene(at)vermare.nl)
- Build of version 6.00-1

* Sat Feb 12 2011 René Vermare (rene(at)vermare.nl)
- Build of version 5.51-1

* Sat Jan 29 2011 René Vermare (rene(at)vermare.nl)
- Build of version 5.50-1

* Sat Jan 22 2011 René Vermare (rene(at)vermare.nl)
- Build of version 5.36TEST4
- Misc improvements and enhancements.

* Mon Jan 17 2011 René Vermare (rene(at)vermare.nl)
- Build of version 5.36TEST3
- Misc improvements, enhancements and new scripts

* Mon Aug 9 2010 René Vermare (rene(at)vermare.nl)
- Build of version 5.35DC1
- Package nping seperated

* Fri Jul 16 2010 René Vermare (rene(at)vermare.nl)
- Build of version 5.35DC1
- Removed ca-bundle.crt from ncat package.

* Tue Mar 30 2010 René Vermare (rene(at)vermare.nl)
- Build of version 5.30BETA1
- Add nping (with chmod 740)

* Thu Jan 28 2010 René Vermare (rene(at)vermare.nl)
- Build of version 5.21
- Misc bug fixes

* Thu Jan 21 2010 René Vermare (rene(at)vermare.nl)
- Build of version 5.20-2
- Fix security problem and chmod nmap & ncat to 0740 

* Wed Jan 20 2010 René Vermare (rene(at)vermare.nl)
- Build of version 5.20
- Add '.../share/man/*/man1/nmap.1.gz' to spec file.

* Sat Jul 18 2009 René Vermare (rene(at)vermare.nl)
- Build of version 5.00

* Thu Jun 25 2009 René Vermare (rene(at)vermare.nl)
- Build of RC1 4.90

* Mon Jun 15 2009 René Vermare (rene(at)vermare.nl)
- Build of BETA10 4.85

* Wed May 13 2009 René Vermare (rene(at)vermare.nl)
- Build of BETA9 4.85
- Add ca-bundle.crt to ncat package.

* Wed Apr 22 2009 René Vermare (rene(at)vermare.nl)
- Build of BETA8 4.85

* Thu Apr 02 2009 René Vermare (rene(at)vermare.nl)
- Build of BETA7 4.85

* Wed Apr 01 2009 René Vermare (rene(at)vermare.nl)
- Build of BETA6 4.85
- Chmod ncat binary to 744

* Wed Apr 01 2009 René Vermare (rene(at)vermare.nl)
- Build of BETA5 4.85
- Add ncat and ncat.1.gz

* Mon Sep 15 2008 René Vermare (rene(at)vermare.nl
- Update 4.75 to 4.76

* Mon Sep 8 2008 René Vermare (rene(at)vermare.nl)
- Update 4.68 to 4.75
- Removed libexecdir, add with-libdnet, with-libpcap, with-libpcre and
- with-liblua  

* Mon Jun 30 2008 René Vermare (rene(at)vermare.nl)
- Update 4.65 to 4.68
- Chmod nmap binary to 744

* Mon Jun 2 2008 René Vermare (rene(at)vermare.nl)
- Update 4.62 to 4.65
- Remove zenmap man file

* Sat May 3 2008 René Vermare (rene(at)vermare.nl)
- Update 4.60 to 4.62

* Mon Mar 17 2008 René Vermare (rene(at)vermare.nl)
- Update 4.53 to 4.60

* Sun Jan 13 2008 René Vermare (rene(at)vermare.nl)
- Update 4.52 to 4.53

* Thu Jan 3 2008 René Vermare (rene(at)vermare.nl)
- Update 4.50 to 4.52

* Thu Dec 13 2007 René Vermare (rene(at)vermare.nl)
- Update 4.20 to 4.50

* Thu Nov 08 2007 David Fifield (david(a)bamsoftware.com)
- Split the zenmap subpackage into its own spec file.

* Tue Nov 06 2007 David Fifield (david(a)bamsoftware.com)
- Fix the Zenmap build on 64-bit architectures (where %{_libdir} is
  "/usr/lib64" but Python modules may not be installed there) and make
  it work with different versions of Python.

* Sun Nov 04 2007 David Fifield (david(a)bamsoftware.com)
- Add a zenmap subpackage.

* Wed Oct 31 2007 David Fifield (david(a)bamsoftware.com)
- Remove references to buildfe (build the NmapFE frontend).

* Sat Sep 01 2004 Stephane Loeuillet (stephane.loeuillet(a)tiscali.fr)
- Place .desktop file under ${prefix}/share/applications rather than
  ${prefix}/share/gnome/apps/Utilities

* Mon Dec 16 2002 Matthieu Verbert (mve(a)zurich.ibm.com)
- Place man pages under ${prefix}/share/man rather than ${prefix}/man

* Fri Jun 01 2001 GOMEZ Henri (hgomez(a)slib.fr)
- Patch which checks that $RPM_BUILD_ROOT is not "/" before rm'ing it.

* Tue Mar 06 2001 Ben Reed <ben(a)opennms.org>
- changed spec to handle not building the frontend

* Thu Dec 30 1999 Fyodor (fyodor(a)insecure.org)
- Updated description
- Eliminated source1 (nmapfe.desktop) directive and simply packaged it with Nmap
- Fixed nmap distribution URL (source0)
- Added this .rpm to base Nmap distribution

* Mon Dec 13 1999 Tim Powers <timp(a)redhat.com>
- based on origional spec file from
	http://www.insecure.org/nmap/index.html#download
- general cleanups, removed lots of commenrts since it made the spec hard to
	read
- changed group to Applications/System
- quiet setup
- no need to create dirs in the install section, "make
	prefix=$RPM_BUILD_ROOT&{prefix} install" does this.
- using defined %{prefix}, %{version} etc. for easier/quicker maint.
- added docs
- gzip man pages
- strip after files have been installed into buildroot
- created separate package for the frontend so that Gtk+ isn't needed for the
	CLI nmap 
- not using -f in files section anymore, no need for it since there aren't that
	many files/dirs
- added desktop entry for gnome

* Sun Jan 10 1999 Fyodor (fyodor(a)insecure.org)
- Merged in spec file sent in by Ian Macdonald <ianmacd(a)xs4all.nl>

* Tue Dec 29 1998 Fyodor (fyodor(a)insecure.org)
- Made some changes, and merged in another .spec file sent in
  by Oren Tirosh <oren(a)hishome.net>

* Mon Dec 21 1998 Riku Meskanen (mesrik(a)cc.jyu.fi)
- initial build for RH 5.x
